
# react-native-rn-app-restarter

## Getting started

`$ npm install react-native-rn-app-restarter --save`

### Mostly automatic installation

`$ react-native link react-native-rn-app-restarter`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-rn-app-restarter` and add `RNRnAppRestarter.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNRnAppRestarter.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNRnAppRestarterPackage;` to the imports at the top of the file
  - Add `new RNRnAppRestarterPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-rn-app-restarter'
  	project(':react-native-rn-app-restarter').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-rn-app-restarter/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-rn-app-restarter')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNRnAppRestarter.sln` in `node_modules/react-native-rn-app-restarter/windows/RNRnAppRestarter.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Rn.App.Restarter.RNRnAppRestarter;` to the usings at the top of the file
  - Add `new RNRnAppRestarterPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNRnAppRestarter from 'react-native-rn-app-restarter';

// TODO: What to do with the module?
RNRnAppRestarter;
```
  